Subject: Re: DHCPv6-PD is fine

From: "Templin (US), Fred L" <[email-masked]>
Date: Mon, 9 Nov 2020 16:45:53 +0000

Hi Alex,

> Fred, maybe people in the aviation can deploy their own ground networks
> to accomodate planes with OMNI interfaces.  At that point it is easy to
> say DHCPv6-PD is fine.
> 
> But in other places, automobiles for example, one must use the existing
> cellular networks.  DHCPv6-PD is not fine there.  It's not FUD.

No, we made a good case for considering OMNI for worldwide ground and air
mobility in urban environments in the ipwave problem statement. DHCPv6-PD
is included in that by inheritance.

Thanks - Fred

> This discussion has become so complicated that it seems to me impossibly
> complex to come up with something that satisfies even a minority.
> 
> OMNI and DHCPv6-PD, Ethernet P2P, Variable SLAAC, 464XLAT, Mobile IPv6
> with NEMO extensions, and others - are each a potential solution to some
> environment.
> 
> Alex
> 
> >
> > Fred
> > --------------------------------------------------------------------
> > IETF IPv6 working group mailing list
> > [email-masked]
> > Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> > --------------------------------------------------------------------
> >
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Mon, 9 Nov 2020 21:12:13 +0000

Please note - there are several very good and mature DHCPv6 server platforms
available today, and I think the only challenge would be to choose among multiple
good alternatives. I don't think we need to invent any new services; just a new
way of invoking the services we already have.

Fred

> -----Original Message-----
> From: ipv6 [mailto:[email-masked]] On Behalf Of Havard Eidnes
> Sent: Monday, November 09, 2020 1:01 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [EXTERNAL] Re: DHCPv6-PD is fine
> 
> This message was sent from outside of Boeing. Please do not click links or open attachments unless you recognize the sender and
> know that the content is safe.
> 
> 
> >> From what I've been reading in this thread, in the mobile
> >> world the problem isn't DHCPv6-PD, but the cellular world
> >> having not adopted it, or even blocked it (ref discussion of
> >> mobile modems blocking DHCP packets).
> 
> Is this lack of flexibility for all intents and purposes
> imprinted into silicon?  That would ... be an extremely effective
> road-block for practical deployment if one wanted to make a
> change where DHCP should additionally be used.
> 
> >> For clarity, is there a problem with DHCPv6-PD, or is there a
> >> problem with the mobile world not supporting it for whatever
> >> reason ?
> >>
> >> The reason I ask is that if it's the latter, then the response
> >> to "it doesn't work, we need to change something" is that you
> >> need to go to the mobile industry and tell them to fix their
> >> ****.
> >
> > Please don't take this personally, but, IMO, this is exactly
> > the attitude that has brought us to this point. The IETF
> > participants think IETF is in a position to dictate and think
> > they know better how to operate and deploy a network than the
> > operators.
> 
> An alternative perspective could be that the mobile industry
> collectively refused to cooperate for "whatever reason", and now
> come back at the IETF without in detail explaining why DHCPv6-PD
> "didn't work out", but instead want new protocol development to
> essentially solve the same problem in another manner, using a
> different protocol?  We all here know how enthusiastic the IETF
> is in solving the same problem with multiple protocols, ref. the
> long-standing controversy over address configuration in IPv6.
> 
> Also, I don't think it's entirely unreasonable to claim that the
> IETF controls the development and standardization of Internet
> protocols done through the IETF?
> 
> > Availability of equipment that implements features, complexity
> > of legacy OSS/BSS systems, and complexity of deploying multiple
> > methods of configuration (to make everyone happy) are 100%
> > irrelevant and operators should simply spend whatever amount is
> > needed to do exactly what IETF dictates.
> 
> Now, now...  Imagine for a moment that a new protocol or protocol
> variant was developed and standardized through the IETF for
> handing out larger address blocks to customers.  How would
> deploying that imagined new protocol be any easier with respect
> to the above mentioned complexities or obstacles than doing the
> same with an already standardized protocol?  (However, if DHCP is
> in essence "blocked by hardware", that makes that avenue for all
> intents and purposes unusable in that particular use case.  Not
> sure I'd blame the IETF for that one, though.)
> 
> Or .. I may not understand what you are saying here. Are you
> implicitly saying that "This isn't a problem worth solving" or
> "This problem costs too much to solve now"?  I think I'm
> confused.
> 
> > I've suggested engaging and collaborating with other SDOs where
> > operators prefer to do their work. But that suggestion clearly
> > has no support here.
> 
> Building organizational-level collaboration and the needed mutual
> respect, and overcoming the obvious cultural impedance mismatch
> is decidedly a two-way street.  I'm not sure it's fair to put all
> the blame on the IETF here.
> 
> Regards,
> 
> - Håvard
>